References
Add a reference check
Scope: reports:create
Adds a referee and sends them a questionnaire. The referee answers through the public reference routes, without a Verifisha account.
AuthorizationBearer <token>
Use Authorization: Bearer vrf_live_... or vrf_test_....
In: header
Path Parameters
reportId*string
Report identifier.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/references" \ -H "Content-Type: application/json" \ -d '{ "refereeName": "Mary Achieng", "refereeEmail": "mary@example.com", "relationship": "Former line manager" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "refereeName": "string", "refereeEmail": "user@example.com", "refereePhone": "string", "status": "REQUESTED", "sentAt": "2019-08-24T14:15:22Z", "submittedAt": "2019-08-24T14:15:22Z", "responses": {}}